The API token used for authenticating the request. This must be passed as a header parameter. To generate an API token, go to Settings > Knowledge base portal > API tokens. This token must correspond to a valid workspace and permission level.
The ID of the reader group. Fetch via GET /v2/readers/groups.
Partial reader group update payload. Only the fields present in the request body are updated.
Here you can edit the readers group with the access permission as None. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 0,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Article. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 5,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Category. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 1,
"categories": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca2508vr4",
"category_id": "fc7e-fcbe-4797-b144-1a7ca2508vfe433",
"language_code": "en"
}
],
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Language. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 4,
"categories": null,
"project_versions": null,
"languages": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca250dd3e",
"language_code": "en"
}
]
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Project. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 3,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Version. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 2,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}The name of the reader group.
Description of the reader group.
List of reader IDs to be associated with this reader group. Note: Reader IDs that were previously associated but not present in this list during the update will be dissociated from this reader group.
Access level of this reader group.
This is an enum. Possible values are 0 - None 1 - Category 2 - Version 3 - Project 4 - Lanaguage
A list of category scope objects. This is only required if the access level is set 1 - Category
The project version id to which the category belongs.
The category id to which the user should be given access.
The language to which the user should be given access.
A list of project versions This is only required if the access level is set to 2 - Version
A list of language scope objects This is only required if the access level is set to 4 - Language
The project version id to which the user should be given access.
The language to which the user should be given access.
List of invitation IDs to be associated with this reader group. Note: Invitation IDs that were previously associated but not present in this list during the update will be disassociated from this reader group.
Here you can edit the readers group with the access permission as None. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 0,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Article. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 5,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Category. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 1,
"categories": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca2508vr4",
"category_id": "fc7e-fcbe-4797-b144-1a7ca2508vfe433",
"language_code": "en"
}
],
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Language. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 4,
"categories": null,
"project_versions": null,
"languages": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca250dd3e",
"language_code": "en"
}
]
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Project. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 3,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Version. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 2,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}The name of the reader group.
Description of the reader group.
List of reader IDs to be associated with this reader group. Note: Reader IDs that were previously associated but not present in this list during the update will be dissociated from this reader group.
Access level of this reader group.
This is an enum. Possible values are 0 - None 1 - Category 2 - Version 3 - Project 4 - Lanaguage
A list of category scope objects. This is only required if the access level is set 1 - Category
The project version id to which the category belongs.
The category id to which the user should be given access.
The language to which the user should be given access.
A list of project versions This is only required if the access level is set to 2 - Version
A list of language scope objects This is only required if the access level is set to 4 - Language
The project version id to which the user should be given access.
The language to which the user should be given access.
List of invitation IDs to be associated with this reader group. Note: Invitation IDs that were previously associated but not present in this list during the update will be disassociated from this reader group.
Here you can edit the readers group with the access permission as None. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 0,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Article. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 5,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Category. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 1,
"categories": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca2508vr4",
"category_id": "fc7e-fcbe-4797-b144-1a7ca2508vfe433",
"language_code": "en"
}
],
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Language. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 4,
"categories": null,
"project_versions": null,
"languages": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca250dd3e",
"language_code": "en"
}
]
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Project. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 3,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Version. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 2,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}The name of the reader group.
Description of the reader group.
List of reader IDs to be associated with this reader group. Note: Reader IDs that were previously associated but not present in this list during the update will be dissociated from this reader group.
Access level of this reader group.
This is an enum. Possible values are 0 - None 1 - Category 2 - Version 3 - Project 4 - Lanaguage
A list of category scope objects. This is only required if the access level is set 1 - Category
The project version id to which the category belongs.
The category id to which the user should be given access.
The language to which the user should be given access.
A list of project versions This is only required if the access level is set to 2 - Version
A list of language scope objects This is only required if the access level is set to 4 - Language
The project version id to which the user should be given access.
The language to which the user should be given access.
List of invitation IDs to be associated with this reader group. Note: Invitation IDs that were previously associated but not present in this list during the update will be disassociated from this reader group.
Here you can edit the readers group with the access permission as None. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 0,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Article. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 5,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Category. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 1,
"categories": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca2508vr4",
"category_id": "fc7e-fcbe-4797-b144-1a7ca2508vfe433",
"language_code": "en"
}
],
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Language. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 4,
"categories": null,
"project_versions": null,
"languages": [
{
"project_version_id": "8dfb5c7e-fcbe-4797-b144-1a7ca250dd3e",
"language_code": "en"
}
]
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Project. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 3,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}Here you can edit the readers group with the access permission as Version. Also add groupId in the path to complete the request.
{
"title": "UpdatedReadersGroupName",
"description": "For better undestanding update and breif this group description here.",
"associated_readers": null,
"access_scope": {
"access_level": 2,
"categories": null,
"project_versions": null,
"languages": null
},
"associated_invited_sso_users": null
}The name of the reader group.
Description of the reader group.
List of reader IDs to be associated with this reader group. Note: Reader IDs that were previously associated but not present in this list during the update will be dissociated from this reader group.
Access level of this reader group.
This is an enum. Possible values are 0 - None 1 - Category 2 - Version 3 - Project 4 - Lanaguage
A list of category scope objects. This is only required if the access level is set 1 - Category
The project version id to which the category belongs.
The category id to which the user should be given access.
The language to which the user should be given access.
A list of project versions This is only required if the access level is set to 2 - Version
A list of language scope objects This is only required if the access level is set to 4 - Language
The project version id to which the user should be given access.
The language to which the user should be given access.
List of invitation IDs to be associated with this reader group. Note: Invitation IDs that were previously associated but not present in this list during the update will be disassociated from this reader group.
Operation succeeded. Inspect the response envelope's success flag and the result/data payload.
This is a sample success status response example.
{
"result": false,
"extension_data": null,
"success": true,
"errors": null,
"warnings": null,
"information": null
}Generic Customer API response envelope — a Document360.Core.Messages.Core.CustomerApiBaseResponse with a typed
Document360.Core.Messages.Common.CustomerApiResponse1.Result payload. Used when the success-shape is a single strongly-typed value (an entity, list, count, etc.). Always check Document360.Core.Messages.Core.CustomerApiBaseResponse.success before consuming Document360.Core.Messages.Common.CustomerApiResponse1.Result.
The operation's payload. Populated when Document360.Core.Messages.Core.CustomerApiBaseResponse.success is true.
Extension data for customer API response
Indicates the status of the API response. A value of true signifies that the request was successfully processed, while false indicates a failure or error occurred.
A list of errors encountered during the API request. Each error object provides details about the problem, including an error code and a message explaining the issue. This field is populated when the request fails or encounters issues.
One structured error in a response's Document360.Core.Messages.Core.BaseResponse.errors array.
This is the Extension data object
A technical trace showing where the error occurred within the system. Intended for backend debugging.
A clear message explaining what caused the error. This helps quickly understand what went wrong.
A short, predefined code that identifies the type of error. Useful for logging the error or raising a support request.
Any structured metadata for the error object.
A list of warnings generated during the API request. These are non-critical issues or recommendations that might affect the request but won't stop it from processing. Each warning object provides a message to inform the user of potential problems.
One non-fatal warning attached to an otherwise-successful response.
Extension Data for customer Api warning
A plain message that describes the warning and helps understand what should be reviewed.
A short, predefined code that uniquely identifies the warning type.
Contains additional non-critical information relevant to the request or response. This field provides extra details that might assist in understanding the context of the API response but is not essential for processing.
One informational message in a response's Document360.Core.Messages.Core.BaseResponse.information array. Non-error context the SPA may surface to the user.
Extension data for customer Api response information
A plain message offering helpful context about the response, such as confirmation of fallback logic or skipped operations.
The request body or query parameters failed validation. Inspect errors[].description for the offending fields.
Kindly verify your group Id and perform the task again. You can verify your group Id from /v2/Readers/groups.
{
"extension_data": null,
"success": false,
"errors": [
{
"extension_data": null,
"stack_trace": null,
"description": "The reader group Id does not exist.",
"error_code": null,
"custom_data": null
}
],
"warnings": null,
"information": null
}Here the title is an mandatory field.
{
"extension_data": null,
"success": false,
"errors": [
{
"extension_data": null,
"stack_trace": null,
"description": "The Title field is required.",
"error_code": null,
"custom_data": null
}
],
"warnings": null,
"information": null
}Here the AccessScope is an mandatory field.
{
"extension_data": null,
"success": false,
"errors": [
{
"extension_data": null,
"stack_trace": null,
"description": "The AccessScope field is required.",
"error_code": null,
"custom_data": null
}
],
"warnings": null,
"information": null
}Extension data for customer API response
Indicates the status of the API response. A value of true signifies that the request was successfully processed, while false indicates a failure or error occurred.
A list of errors encountered during the API request. Each error object provides details about the problem, including an error code and a message explaining the issue. This field is populated when the request fails or encounters issues.
One structured error in a response's Document360.Core.Messages.Core.BaseResponse.errors array.
This is the Extension data object
A technical trace showing where the error occurred within the system. Intended for backend debugging.
A clear message explaining what caused the error. This helps quickly understand what went wrong.
A short, predefined code that identifies the type of error. Useful for logging the error or raising a support request.
Any structured metadata for the error object.
A list of warnings generated during the API request. These are non-critical issues or recommendations that might affect the request but won't stop it from processing. Each warning object provides a message to inform the user of potential problems.
One non-fatal warning attached to an otherwise-successful response.
Extension Data for customer Api warning
A plain message that describes the warning and helps understand what should be reviewed.
A short, predefined code that uniquely identifies the warning type.
Contains additional non-critical information relevant to the request or response. This field provides extra details that might assist in understanding the context of the API response but is not essential for processing.
One informational message in a response's Document360.Core.Messages.Core.BaseResponse.information array. Non-error context the SPA may surface to the user.
Extension data for customer Api response information
A plain message offering helpful context about the response, such as confirmation of fallback logic or skipped operations.
Authentication failed — the api_token header is missing, malformed, or has been revoked.
Extension data for customer API response
Indicates the status of the API response. A value of true signifies that the request was successfully processed, while false indicates a failure or error occurred.
A list of errors encountered during the API request. Each error object provides details about the problem, including an error code and a message explaining the issue. This field is populated when the request fails or encounters issues.
One structured error in a response's Document360.Core.Messages.Core.BaseResponse.errors array.
This is the Extension data object
A technical trace showing where the error occurred within the system. Intended for backend debugging.
A clear message explaining what caused the error. This helps quickly understand what went wrong.
A short, predefined code that identifies the type of error. Useful for logging the error or raising a support request.
Any structured metadata for the error object.
A list of warnings generated during the API request. These are non-critical issues or recommendations that might affect the request but won't stop it from processing. Each warning object provides a message to inform the user of potential problems.
One non-fatal warning attached to an otherwise-successful response.
Extension Data for customer Api warning
A plain message that describes the warning and helps understand what should be reviewed.
A short, predefined code that uniquely identifies the warning type.
Contains additional non-critical information relevant to the request or response. This field provides extra details that might assist in understanding the context of the API response but is not essential for processing.
One informational message in a response's Document360.Core.Messages.Core.BaseResponse.information array. Non-error context the SPA may surface to the user.
Extension data for customer Api response information
A plain message offering helpful context about the response, such as confirmation of fallback logic or skipped operations.
The requested resource was not found, or the supplied identifier does not exist in the project.
Extension data for customer API response
Indicates the status of the API response. A value of true signifies that the request was successfully processed, while false indicates a failure or error occurred.
A list of errors encountered during the API request. Each error object provides details about the problem, including an error code and a message explaining the issue. This field is populated when the request fails or encounters issues.
One structured error in a response's Document360.Core.Messages.Core.BaseResponse.errors array.
This is the Extension data object
A technical trace showing where the error occurred within the system. Intended for backend debugging.
A clear message explaining what caused the error. This helps quickly understand what went wrong.
A short, predefined code that identifies the type of error. Useful for logging the error or raising a support request.
Any structured metadata for the error object.
A list of warnings generated during the API request. These are non-critical issues or recommendations that might affect the request but won't stop it from processing. Each warning object provides a message to inform the user of potential problems.
One non-fatal warning attached to an otherwise-successful response.
Extension Data for customer Api warning
A plain message that describes the warning and helps understand what should be reviewed.
A short, predefined code that uniquely identifies the warning type.
Contains additional non-critical information relevant to the request or response. This field provides extra details that might assist in understanding the context of the API response but is not essential for processing.
One informational message in a response's Document360.Core.Messages.Core.BaseResponse.information array. Non-error context the SPA may surface to the user.
Extension data for customer Api response information
A plain message offering helpful context about the response, such as confirmation of fallback logic or skipped operations.
Rate limit exceeded for this api_token. Wait for the duration in the Retry-After header before retrying.
Extension data for customer API response
Indicates the status of the API response. A value of true signifies that the request was successfully processed, while false indicates a failure or error occurred.
A list of errors encountered during the API request. Each error object provides details about the problem, including an error code and a message explaining the issue. This field is populated when the request fails or encounters issues.
One structured error in a response's Document360.Core.Messages.Core.BaseResponse.errors array.
This is the Extension data object
A technical trace showing where the error occurred within the system. Intended for backend debugging.
A clear message explaining what caused the error. This helps quickly understand what went wrong.
A short, predefined code that identifies the type of error. Useful for logging the error or raising a support request.
Any structured metadata for the error object.
A list of warnings generated during the API request. These are non-critical issues or recommendations that might affect the request but won't stop it from processing. Each warning object provides a message to inform the user of potential problems.
One non-fatal warning attached to an otherwise-successful response.
Extension Data for customer Api warning
A plain message that describes the warning and helps understand what should be reviewed.
A short, predefined code that uniquely identifies the warning type.
Contains additional non-critical information relevant to the request or response. This field provides extra details that might assist in understanding the context of the API response but is not essential for processing.
One informational message in a response's Document360.Core.Messages.Core.BaseResponse.information array. Non-error context the SPA may surface to the user.
Extension data for customer Api response information
A plain message offering helpful context about the response, such as confirmation of fallback logic or skipped operations.